import React, { useEffect } from 'react';
import { select } from 'd3-selection';

const BarChart = () => {
  useEffect(() => {
    const svg = select('#chart');
    svg
      .append('rect')
      .attr('x', 50)
      .attr('y', 50)
      .attr('width', 50)
      .attr('height', 50)
      .attr('fill', 'steelblue');
  }, []);

  return <svg id="chart" width="800" height="400"></svg>;
};

export default BarChart;
